import { ChartResizeIdleEventArgs as ChartResizeIdleEventArgs_internal } from "./ChartResizeIdleEventArgs";
/**
 * Provides information about the chart going idle from being resized.
*/
export class IgxChartResizeIdleEventArgs {
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    createImplementation() {
        return new ChartResizeIdleEventArgs_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
}
